Retrieve an Activity
Retrieves the details of an existing activity in your organization based on the provided unique activity ID. The response includes comprehensive information about the activity, such as its score, timestamps, associated element details, and related metadata.
If the activity is performed by an individual, the member key contains the details of the member who completed the activity.
If the activity is performed by a group, the members key provides a list of all members who participated in the activity.
The meta object contains additional details and metadata about the activity's completion status. It provides context on the outcome and participant of the activity.
path Parameters
idThe ID of the requested activity.
Headers
AuthorizationContent-TypeAcceptRetrieve an Activity › Responses
List all Activities
Returns a list of activities within your organization. The activities are sorted by their creation date, with the most recently created activities appearing first. Each activity in the list includes information such as the score, dates, element data and more.
If the activity is performed by an individual, the member key contains the details of the member who completed the activity.
If the activity is performed by a group, the members key provides a list of all members who participated in the activity.
query Parameters
courseThe unique ID to filter activities by course
The unique ID to filter activities by course
moduleThe unique ID to filter activities by module
The unique ID to filter activities by module
elementThe unique ID to filter activities by element
The unique ID to filter activities by element
memberThe unique ID to filter activities by member
The unique ID to filter activities by member
pageA cursor for pagination across multiple pages of results.
A cursor for pagination across multiple pages of results.
Headers
AuthorizationContent-TypeAccept